GET /api/external/hub/v1/catalog/listings

Retrieve a list of catalog listings belonging to the authenticated organization.

Query parameters

  • page integer

    Page number for pagination

  • per_page integer

    Number of listings per page (default: 100)

Responses

  • 200 application/json

    catalog listings retrieved successfully

    Hide response attributes Show response attributes object
    • id integer Required

      Listing ID

    • listing_mp_primary_id string Required

      Listing marketplace primary ID

    • listing_name string | null

      Listing name

    • marketplace_name string | null

      Marketplace name

    • listing_mp_seller_account_id string | null

      Listing marketplace seller account ID

    • item_id integer | null

      Associated item ID

GET /api/external/hub/v1/catalog/listings
curl \
 --request GET 'https://api.useshelf.com/api/external/hub/v1/catalog/listings'
Response examples (200)
[
  {
    "id": 42,
    "listing_mp_primary_id": "string",
    "listing_name": "string",
    "marketplace_name": "string",
    "listing_mp_seller_account_id": "string",
    "item_id": 42
  }
]